> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific project by ID within an organization



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /projects/{project_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /projects/{project_id}:
    get:
      summary: Get a specific project by ID within an organization
      operationId: get_project_projects__project_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Project:
      properties:
        name:
          type: string
          title: Name
          description: The name of the project.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: An optional description for the project.
        id:
          type: string
          title: Id
          description: The unique identifier for the project.
        organization_id:
          type: string
          title: Organization Id
          description: The ID of the organization this project belongs to.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp of when the project was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp of when the project was last updated.
        cell_spec_project_mappings:
          anyOf:
            - items:
                additionalProperties:
                  type: string
                type: object
              type: array
            - type: 'null'
          title: Cell Spec Project Mappings
          description: The cell specifications in the project.
        user_project_roles:
          anyOf:
            - items:
                $ref: '#/components/schemas/UserProjectRole'
              type: array
            - type: 'null'
          title: User Project Roles
          description: The user project roles in the project.
      type: object
      required:
        - name
        - id
        - organization_id
        - created_at
        - updated_at
      title: Project
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserProjectRole:
      properties:
        user_id:
          type: string
          title: User Id
          description: The ID of the user.
        project_id:
          type: string
          title: Project Id
          description: The ID of the project.
        project_role_id:
          type: string
          title: Project Role Id
          description: The ID of the project role.
        project_roles:
          anyOf:
            - $ref: '#/components/schemas/ProjectRole'
            - type: 'null'
          description: The project roles for the user in the project.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp of when the user project role was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp of when the user project role was last updated.
      type: object
      required:
        - user_id
        - project_id
        - project_role_id
        - created_at
        - updated_at
      title: UserProjectRole
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProjectRole:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        project_role_permissions:
          anyOf:
            - items:
                additionalProperties:
                  $ref: '#/components/schemas/Permission'
                type: object
              type: array
            - type: 'null'
          title: Project Role Permissions
          description: The permissions for the project role.
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
      title: ProjectRole
    Permission:
      properties:
        action:
          type: string
          title: Action
      type: object
      required:
        - action
      title: Permission

````